EDIT - bug #8422

Make PolytomousKeyGenerator work (correctly)
07/30/2019 02:53 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal Found in Version:

Description

Related issues:
Copied to EDIT - feature request #8469: Open PolytomousKeyGenerator issues In Progress

Associated revisions

Revision dc572c3e - 07/27/2019 01:19 AM - Andreas Muller

adapt DescriptiveDataSet to allow also descriptive systems with features not only characters

Revision 1ed092db - 07/27/2019 01:21 AM - Andreas Miiller

allow handle multiTaxon nodes in polytomousKey.print

Revision 90bce0d8 - 07/27/2019 01:22 AM - Andreas Miiller

add some factory methods

Revision 3fcd7421 - 07/27/2019 01:22 AM - Andreas Miiller

fix PolytomousKeyGenerator (not yet ready)

Revision 2d0650ce - 07/30/2019 05:14 PM - Andreas Miiller

ref #8422 refactoring PKGenerator+test and minor fixes

Revision ddaea59b - 07/30/2019 09:40 PM - Andreas Miiller

ref #8422 PolytomousKeyGenerator: improving sort order and fixing score for quantitative data, + further refactoring

Revision ae7c9821 - 08/01/2019 09:03 AM - Andreas Miiller

ref #8422 let PKGenerator only work on TaxonDescriptions for now

Revision 4c0f844f - 08/01/2019 09:03 AM - Andreas Mdller

ref #8422 fix scoring for categoricalData

Revision 0174fe98 - 08/01/2019 03:00 PM - Andreas Miiller
ref #8422 adding test for merge mode

Revision 5420e50d - 08/01/2019 03:00 PM - Andreas Miiller

ref #8422 some fixes for merging in PolytomousKeyGenerator

Revision aabca655 - 08/01/2019 09:49 PM - Andreas Miiller

ref #8422 change sort order for multi-taxon or multi-state branches

Revision a9256c91 - 08/01/2019 09:49 PM - Andreas Miiller

ref #8422 handle single value branches better

Revision 14987030 - 08/01/2019 09:49 PM - Andreas Miiller
ref #8422 fix leaf handling and simplify and complete tests

Revision 710cb94e - 08/02/2019 04:42 PM - Andreas Miiller

ref #8422 fix reuse of feature if it shouldn't

Revision 73f1250e - 08/02/2019 04:42 PM - Andreas Miiller

ref #8422 add dependencies to PolytomousKeyGenerator

Revision 907f5e2f - 08/02/2019 04:42 PM - Andreas Miiller
ref #8422 dependency handling finalized in PolytomousKeyGenerator

History

#1 - 07/30/2019 02:53 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#2 - 08/16/2019 11:43 AM - Andreas Mdiller

- Copied to feature request #8469: Open PolytomousKeyGenerator issues added

#3 - 08/16/2019 09:24 PM - Andreas Miiller
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

| close this ticket as there is a follow up ticket.
